org.apache.maven.plugins.shade.pom

## Class MavenJDOMWriter

- java.lang.Object
- - org.apache.maven.plugins.shade.pom.MavenJDOMWriter

    public class MavenJDOMWriter
    extends Object

Class MavenJDOMWriter.

Version:
  $Revision: 1300048 $ $Date: 2012-03-13 11:09:35 +0100 (Tue, 13 Mar 2012) $

### Nested Class Summary

Nested Classes
`class` `MavenJDOMWriter.Counter` Class Counter.

### Constructor Summary

Constructors
Constructor and Description
`MavenJDOMWriter()`

### Method Summary

Methods
`protected org.jdom.Element` `findAndReplaceProperties(MavenJDOMWriter.Counter counter, org.jdom.Element parent, String name, Map props)` Method findAndReplaceProperties
`protected org.jdom.Element` `findAndReplaceSimpleElement(MavenJDOMWriter.Counter counter, org.jdom.Element parent, String name, String text, String defaultValue)` Method findAndReplaceSimpleElement
`protected org.jdom.Element` `findAndReplaceSimpleLists(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentName, String childName)` Method findAndReplaceSimpleLists
`protected org.jdom.Element` `findAndReplaceXpp3DOM(MavenJDOMWriter.Counter counter, org.jdom.Element parent, String name, org.codehaus.plexus.util.xml.Xpp3Dom dom)` Method findAndReplaceXpp3DOM
`protected void` `insertAtPreferredLocation(org.jdom.Element parent, org.jdom.Element child, MavenJDOMWriter.Counter counter)` Method insertAtPreferredLocation
`protected void` `iterateContributor(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateContributor
`protected void` `iterateDependency(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateDependency
`protected void` `iterateDeveloper(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateDeveloper
`protected void` `iterateExclusion(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateExclusion
`protected void` `iterateExtension(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateExtension
`protected void` `iterateLicense(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateLicense
`protected void` `iterateMailingList(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateMailingList
`protected void` `iterateNotifier(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateNotifier
`protected void` `iteratePlugin(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iteratePlugin
`protected void` `iteratePluginExecution(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iteratePluginExecution
`protected void` `iterateProfile(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateProfile
`protected void` `iterateReportPlugin(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateReportPlugin
`protected void` `iterateReportSet(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateReportSet
`protected void` `iterateRepository(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateRepository
`protected void` `iterateResource(MavenJDOMWriter.Counter counter, org.jdom.Element parent, Collection list, String parentTag, String childTag)` Method iterateResource
`protected void` `replaceXpp3DOM(org.jdom.Element parent, org.codehaus.plexus.util.xml.Xpp3Dom parentDom, MavenJDOMWriter.Counter counter)` Method replaceXpp3DOM
`protected void` `updateActivationFile(org.apache.maven.model.ActivationFile value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateActivationFile
`protected void` `updateActivationOS(org.apache.maven.model.ActivationOS value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateActivationOS
`protected void` `updateActivationProperty(org.apache.maven.model.ActivationProperty value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateActivationProperty
`protected void` `updateBuild(org.apache.maven.model.Build value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateBuild
`protected void` `updateBuildBase(org.apache.maven.model.BuildBase value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateBuildBase
`protected void` `updateCiManagement(org.apache.maven.model.CiManagement value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateCiManagement
`protected void` `updateConfigurationContainer(org.apache.maven.model.ConfigurationContainer value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateConfigurationContainer
`protected void` `updateContributor(org.apache.maven.model.Contributor value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateContributor
`protected void` `updateDependency(org.apache.maven.model.Dependency value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateDependency
`protected void` `updateDependencyManagement(org.apache.maven.model.DependencyManagement value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateDependencyManagement
`protected void` `updateDeploymentRepository(org.apache.maven.model.DeploymentRepository value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateDeploymentRepository
`protected void` `updateDeveloper(org.apache.maven.model.Developer value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateDeveloper
`protected void` `updateDistributionManagement(org.apache.maven.model.DistributionManagement value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateDistributionManagement
`protected org.jdom.Element` `updateElement(MavenJDOMWriter.Counter counter, org.jdom.Element parent, String name, boolean shouldExist)` Method updateElement
`protected void` `updateExclusion(org.apache.maven.model.Exclusion value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateExclusion
`protected void` `updateExtension(org.apache.maven.model.Extension value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateExtension
`protected void` `updateFileSet(org.apache.maven.model.FileSet value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateFileSet
`protected void` `updateIssueManagement(org.apache.maven.model.IssueManagement value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateIssueManagement
`protected void` `updateLicense(org.apache.maven.model.License value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateLicense
`protected void` `updateMailingList(org.apache.maven.model.MailingList value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateMailingList
`protected void` `updateModel(org.apache.maven.model.Model value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateModel
`protected void` `updateModelBase(org.apache.maven.model.ModelBase value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateModelBase
`protected void` `updateNotifier(org.apache.maven.model.Notifier value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateNotifier
`protected void` `updateOrganization(org.apache.maven.model.Organization value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateOrganization
`protected void` `updateParent(org.apache.maven.model.Parent value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateParent
`protected void` `updatePatternSet(org.apache.maven.model.PatternSet value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePatternSet
`protected void` `updatePlugin(org.apache.maven.model.Plugin value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePlugin
`protected void` `updatePluginConfiguration(org.apache.maven.model.PluginConfiguration value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePluginConfiguration
`protected void` `updatePluginContainer(org.apache.maven.model.PluginContainer value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePluginContainer
`protected void` `updatePluginExecution(org.apache.maven.model.PluginExecution value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePluginExecution
`protected void` `updatePluginManagement(org.apache.maven.model.PluginManagement value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePluginManagement
`protected void` `updatePrerequisites(org.apache.maven.model.Prerequisites value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updatePrerequisites
`protected void` `updateProfile(org.apache.maven.model.Profile value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateProfile
`protected void` `updateRelocation(org.apache.maven.model.Relocation value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateRelocation
`protected void` `updateReporting(org.apache.maven.model.Reporting value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateReporting
`protected void` `updateReportPlugin(org.apache.maven.model.ReportPlugin value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateReportPlugin
`protected void` `updateReportSet(org.apache.maven.model.ReportSet value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateReportSet
`protected void` `updateRepository(org.apache.maven.model.Repository value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateRepository
`protected void` `updateRepositoryBase(org.apache.maven.model.RepositoryBase value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateRepositoryBase
`protected void` `updateRepositoryPolicy(org.apache.maven.model.RepositoryPolicy value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateRepositoryPolicy
`protected void` `updateResource(org.apache.maven.model.Resource value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateResource
`protected void` `updateScm(org.apache.maven.model.Scm value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateScm
`protected void` `updateSite(org.apache.maven.model.Site value, String xmlTag, MavenJDOMWriter.Counter counter, org.jdom.Element element)` Method updateSite
`void` `write(org.apache.maven.model.Model project, org.jdom.Document document, OutputStream stream)` Deprecated.
`void` `write(org.apache.maven.model.Model project, org.jdom.Document document, OutputStreamWriter writer)` Method write
`void` `write(org.apache.maven.model.Model project, org.jdom.Document document, Writer writer, org.jdom.output.Format jdomFormat)` Method write

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenJDOMWriter

    public MavenJDOMWriter()

### Method Detail

#### findAndReplaceProperties

    protected org.jdom.Element findAndReplaceProperties(MavenJDOMWriter.Counter counter,
                                            org.jdom.Element parent,
                                            String name,
                                            Map props)

Method findAndReplaceProperties

Parameters:
  `counter` -
  `props` -
  `name` -
  `parent` -

#### findAndReplaceSimpleElement

    protected org.jdom.Element findAndReplaceSimpleElement(MavenJDOMWriter.Counter counter,
                                               org.jdom.Element parent,
                                               String name,
                                               String text,
                                               String defaultValue)

Method findAndReplaceSimpleElement

Parameters:
  `counter` -
  `defaultValue` -
  `text` -
  `name` -
  `parent` -

#### findAndReplaceSimpleLists

    protected org.jdom.Element findAndReplaceSimpleLists(MavenJDOMWriter.Counter counter,
                                             org.jdom.Element parent,
                                             Collection list,
                                             String parentName,
                                             String childName)

Method findAndReplaceSimpleLists

Parameters:
  `counter` -
  `childName` -
  `parentName` -
  `list` -
  `parent` -

#### findAndReplaceXpp3DOM

    protected org.jdom.Element findAndReplaceXpp3DOM(MavenJDOMWriter.Counter counter,
                                         org.jdom.Element parent,
                                         String name,
                                         org.codehaus.plexus.util.xml.Xpp3Dom dom)

Method findAndReplaceXpp3DOM

Parameters:
  `counter` -
  `dom` -
  `name` -
  `parent` -

#### insertAtPreferredLocation

    protected void insertAtPreferredLocation(org.jdom.Element parent,
                                 org.jdom.Element child,
                                 MavenJDOMWriter.Counter counter)

Method insertAtPreferredLocation

Parameters:
  `parent` -
  `counter` -
  `child` -

#### iterateContributor

    protected void iterateContributor(MavenJDOMWriter.Counter counter,
                          org.jdom.Element parent,
                          Collection list,
                          String parentTag,
                          String childTag)

Method iterateContributor

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateDependency

    protected void iterateDependency(MavenJDOMWriter.Counter counter,
                         org.jdom.Element parent,
                         Collection list,
                         String parentTag,
                         String childTag)

Method iterateDependency

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateDeveloper

    protected void iterateDeveloper(MavenJDOMWriter.Counter counter,
                        org.jdom.Element parent,
                        Collection list,
                        String parentTag,
                        String childTag)

Method iterateDeveloper

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateExclusion

    protected void iterateExclusion(MavenJDOMWriter.Counter counter,
                        org.jdom.Element parent,
                        Collection list,
                        String parentTag,
                        String childTag)

Method iterateExclusion

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateExtension

    protected void iterateExtension(MavenJDOMWriter.Counter counter,
                        org.jdom.Element parent,
                        Collection list,
                        String parentTag,
                        String childTag)

Method iterateExtension

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateLicense

    protected void iterateLicense(MavenJDOMWriter.Counter counter,
                      org.jdom.Element parent,
                      Collection list,
                      String parentTag,
                      String childTag)

Method iterateLicense

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateMailingList

    protected void iterateMailingList(MavenJDOMWriter.Counter counter,
                          org.jdom.Element parent,
                          Collection list,
                          String parentTag,
                          String childTag)

Method iterateMailingList

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateNotifier

    protected void iterateNotifier(MavenJDOMWriter.Counter counter,
                       org.jdom.Element parent,
                       Collection list,
                       String parentTag,
                       String childTag)

Method iterateNotifier

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iteratePlugin

    protected void iteratePlugin(MavenJDOMWriter.Counter counter,
                     org.jdom.Element parent,
                     Collection list,
                     String parentTag,
                     String childTag)

Method iteratePlugin

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iteratePluginExecution

    protected void iteratePluginExecution(MavenJDOMWriter.Counter counter,
                              org.jdom.Element parent,
                              Collection list,
                              String parentTag,
                              String childTag)

Method iteratePluginExecution

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateProfile

    protected void iterateProfile(MavenJDOMWriter.Counter counter,
                      org.jdom.Element parent,
                      Collection list,
                      String parentTag,
                      String childTag)

Method iterateProfile

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateReportPlugin

    protected void iterateReportPlugin(MavenJDOMWriter.Counter counter,
                           org.jdom.Element parent,
                           Collection list,
                           String parentTag,
                           String childTag)

Method iterateReportPlugin

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateReportSet

    protected void iterateReportSet(MavenJDOMWriter.Counter counter,
                        org.jdom.Element parent,
                        Collection list,
                        String parentTag,
                        String childTag)

Method iterateReportSet

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateRepository

    protected void iterateRepository(MavenJDOMWriter.Counter counter,
                         org.jdom.Element parent,
                         Collection list,
                         String parentTag,
                         String childTag)

Method iterateRepository

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### iterateResource

    protected void iterateResource(MavenJDOMWriter.Counter counter,
                       org.jdom.Element parent,
                       Collection list,
                       String parentTag,
                       String childTag)

Method iterateResource

Parameters:
  `counter` -
  `childTag` -
  `parentTag` -
  `list` -
  `parent` -

#### replaceXpp3DOM

    protected void replaceXpp3DOM(org.jdom.Element parent,
                      org.codehaus.plexus.util.xml.Xpp3Dom parentDom,
                      MavenJDOMWriter.Counter counter)

Method replaceXpp3DOM

Parameters:
  `parent` -
  `counter` -
  `parentDom` -

#### updateActivationFile

    protected void updateActivationFile(org.apache.maven.model.ActivationFile value,
                            String xmlTag,
                            MavenJDOMWriter.Counter counter,
                            org.jdom.Element element)

Method updateActivationFile

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateActivationOS

    protected void updateActivationOS(org.apache.maven.model.ActivationOS value,
                          String xmlTag,
                          MavenJDOMWriter.Counter counter,
                          org.jdom.Element element)

Method updateActivationOS

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateActivationProperty

    protected void updateActivationProperty(org.apache.maven.model.ActivationProperty value,
                                String xmlTag,
                                MavenJDOMWriter.Counter counter,
                                org.jdom.Element element)

Method updateActivationProperty

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateBuild

    protected void updateBuild(org.apache.maven.model.Build value,
                   String xmlTag,
                   MavenJDOMWriter.Counter counter,
                   org.jdom.Element element)

Method updateBuild

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateBuildBase

    protected void updateBuildBase(org.apache.maven.model.BuildBase value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateBuildBase

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateCiManagement

    protected void updateCiManagement(org.apache.maven.model.CiManagement value,
                          String xmlTag,
                          MavenJDOMWriter.Counter counter,
                          org.jdom.Element element)

Method updateCiManagement

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateConfigurationContainer

    protected void updateConfigurationContainer(org.apache.maven.model.ConfigurationContainer value,
                                    String xmlTag,
                                    MavenJDOMWriter.Counter counter,
                                    org.jdom.Element element)

Method updateConfigurationContainer

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateContributor

    protected void updateContributor(org.apache.maven.model.Contributor value,
                         String xmlTag,
                         MavenJDOMWriter.Counter counter,
                         org.jdom.Element element)

Method updateContributor

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateDependency

    protected void updateDependency(org.apache.maven.model.Dependency value,
                        String xmlTag,
                        MavenJDOMWriter.Counter counter,
                        org.jdom.Element element)

Method updateDependency

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateDependencyManagement

    protected void updateDependencyManagement(org.apache.maven.model.DependencyManagement value,
                                  String xmlTag,
                                  MavenJDOMWriter.Counter counter,
                                  org.jdom.Element element)

Method updateDependencyManagement

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateDeploymentRepository

    protected void updateDeploymentRepository(org.apache.maven.model.DeploymentRepository value,
                                  String xmlTag,
                                  MavenJDOMWriter.Counter counter,
                                  org.jdom.Element element)

Method updateDeploymentRepository

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateDeveloper

    protected void updateDeveloper(org.apache.maven.model.Developer value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateDeveloper

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateDistributionManagement

    protected void updateDistributionManagement(org.apache.maven.model.DistributionManagement value,
                                    String xmlTag,
                                    MavenJDOMWriter.Counter counter,
                                    org.jdom.Element element)

Method updateDistributionManagement

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateElement

    protected org.jdom.Element updateElement(MavenJDOMWriter.Counter counter,
                                 org.jdom.Element parent,
                                 String name,
                                 boolean shouldExist)

Method updateElement

Parameters:
  `counter` -
  `shouldExist` -
  `name` -
  `parent` -

#### updateExclusion

    protected void updateExclusion(org.apache.maven.model.Exclusion value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateExclusion

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateExtension

    protected void updateExtension(org.apache.maven.model.Extension value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateExtension

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateFileSet

    protected void updateFileSet(org.apache.maven.model.FileSet value,
                     String xmlTag,
                     MavenJDOMWriter.Counter counter,
                     org.jdom.Element element)

Method updateFileSet

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateIssueManagement

    protected void updateIssueManagement(org.apache.maven.model.IssueManagement value,
                             String xmlTag,
                             MavenJDOMWriter.Counter counter,
                             org.jdom.Element element)

Method updateIssueManagement

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateLicense

    protected void updateLicense(org.apache.maven.model.License value,
                     String xmlTag,
                     MavenJDOMWriter.Counter counter,
                     org.jdom.Element element)

Method updateLicense

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateMailingList

    protected void updateMailingList(org.apache.maven.model.MailingList value,
                         String xmlTag,
                         MavenJDOMWriter.Counter counter,
                         org.jdom.Element element)

Method updateMailingList

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateModel

    protected void updateModel(org.apache.maven.model.Model value,
                   String xmlTag,
                   MavenJDOMWriter.Counter counter,
                   org.jdom.Element element)

Method updateModel

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateModelBase

    protected void updateModelBase(org.apache.maven.model.ModelBase value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateModelBase

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateNotifier

    protected void updateNotifier(org.apache.maven.model.Notifier value,
                      String xmlTag,
                      MavenJDOMWriter.Counter counter,
                      org.jdom.Element element)

Method updateNotifier

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateOrganization

    protected void updateOrganization(org.apache.maven.model.Organization value,
                          String xmlTag,
                          MavenJDOMWriter.Counter counter,
                          org.jdom.Element element)

Method updateOrganization

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateParent

    protected void updateParent(org.apache.maven.model.Parent value,
                    String xmlTag,
                    MavenJDOMWriter.Counter counter,
                    org.jdom.Element element)

Method updateParent

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePatternSet

    protected void updatePatternSet(org.apache.maven.model.PatternSet value,
                        String xmlTag,
                        MavenJDOMWriter.Counter counter,
                        org.jdom.Element element)

Method updatePatternSet

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePlugin

    protected void updatePlugin(org.apache.maven.model.Plugin value,
                    String xmlTag,
                    MavenJDOMWriter.Counter counter,
                    org.jdom.Element element)

Method updatePlugin

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePluginConfiguration

    protected void updatePluginConfiguration(org.apache.maven.model.PluginConfiguration value,
                                 String xmlTag,
                                 MavenJDOMWriter.Counter counter,
                                 org.jdom.Element element)

Method updatePluginConfiguration

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePluginContainer

    protected void updatePluginContainer(org.apache.maven.model.PluginContainer value,
                             String xmlTag,
                             MavenJDOMWriter.Counter counter,
                             org.jdom.Element element)

Method updatePluginContainer

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePluginExecution

    protected void updatePluginExecution(org.apache.maven.model.PluginExecution value,
                             String xmlTag,
                             MavenJDOMWriter.Counter counter,
                             org.jdom.Element element)

Method updatePluginExecution

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePluginManagement

    protected void updatePluginManagement(org.apache.maven.model.PluginManagement value,
                              String xmlTag,
                              MavenJDOMWriter.Counter counter,
                              org.jdom.Element element)

Method updatePluginManagement

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updatePrerequisites

    protected void updatePrerequisites(org.apache.maven.model.Prerequisites value,
                           String xmlTag,
                           MavenJDOMWriter.Counter counter,
                           org.jdom.Element element)

Method updatePrerequisites

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateProfile

    protected void updateProfile(org.apache.maven.model.Profile value,
                     String xmlTag,
                     MavenJDOMWriter.Counter counter,
                     org.jdom.Element element)

Method updateProfile

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateRelocation

    protected void updateRelocation(org.apache.maven.model.Relocation value,
                        String xmlTag,
                        MavenJDOMWriter.Counter counter,
                        org.jdom.Element element)

Method updateRelocation

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateReportPlugin

    protected void updateReportPlugin(org.apache.maven.model.ReportPlugin value,
                          String xmlTag,
                          MavenJDOMWriter.Counter counter,
                          org.jdom.Element element)

Method updateReportPlugin

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateReportSet

    protected void updateReportSet(org.apache.maven.model.ReportSet value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateReportSet

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateReporting

    protected void updateReporting(org.apache.maven.model.Reporting value,
                       String xmlTag,
                       MavenJDOMWriter.Counter counter,
                       org.jdom.Element element)

Method updateReporting

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateRepository

    protected void updateRepository(org.apache.maven.model.Repository value,
                        String xmlTag,
                        MavenJDOMWriter.Counter counter,
                        org.jdom.Element element)

Method updateRepository

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateRepositoryBase

    protected void updateRepositoryBase(org.apache.maven.model.RepositoryBase value,
                            String xmlTag,
                            MavenJDOMWriter.Counter counter,
                            org.jdom.Element element)

Method updateRepositoryBase

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateRepositoryPolicy

    protected void updateRepositoryPolicy(org.apache.maven.model.RepositoryPolicy value,
                              String xmlTag,
                              MavenJDOMWriter.Counter counter,
                              org.jdom.Element element)

Method updateRepositoryPolicy

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateResource

    protected void updateResource(org.apache.maven.model.Resource value,
                      String xmlTag,
                      MavenJDOMWriter.Counter counter,
                      org.jdom.Element element)

Method updateResource

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateScm

    protected void updateScm(org.apache.maven.model.Scm value,
                 String xmlTag,
                 MavenJDOMWriter.Counter counter,
                 org.jdom.Element element)

Method updateScm

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### updateSite

    protected void updateSite(org.apache.maven.model.Site value,
                  String xmlTag,
                  MavenJDOMWriter.Counter counter,
                  org.jdom.Element element)

Method updateSite

Parameters:
  `value` -
  `element` -
  `counter` -
  `xmlTag` -

#### write

    public void write(org.apache.maven.model.Model project,
             org.jdom.Document document,
             OutputStream stream)
               throws IOException

Deprecated.
Method write

Parameters:
  `project` -
  `stream` -
  `document` -
Throws:
  `IOException`

#### write

    public void write(org.apache.maven.model.Model project,
             org.jdom.Document document,
             OutputStreamWriter writer)
               throws IOException

Method write

Parameters:
  `project` -
  `writer` -
  `document` -
Throws:
  `IOException`

#### write

    public void write(org.apache.maven.model.Model project,
             org.jdom.Document document,
             Writer writer,
             org.jdom.output.Format jdomFormat)
               throws IOException

Method write

Parameters:
  `project` -
  `jdomFormat` -
  `writer` -
  `document` -
Throws:
  `IOException`